Member Profile
Endpoints for Member Profile
Endpoints for Member Profile
GET/api/v1/members/profile/mypage-cards-settings
Authentication: Bearer token (JWT)
showOnMyPagebooleanOptionaltitleTranslationRequired when parent is presentCan be null5 fields[].titleenstringRequired when parent is presentField path: [].title.ennostringRequired when parent is presentField path: [].title.nosvstringField path: [].title.svbadRequest
messageCodestringRequired"badRequest"messagestringunauthorized
messageCodestringRequiredmessagestringerrorsarray of FieldErrorcurlcurl https://api.subrite.no/api/v1/members/profile/mypage-cards-settings \
--header 'Authorization: Bearer <token>'GET/api/v1/members/profile/available-subscriptions-to-join
Authentication: Bearer token (JWT)
POST/api/v1/members/profile/join-subscriptions
Authentication: Bearer token (JWT)
application/jsonmemberPackageProductIdsarray of numberRequiredminItems: 1GET/api/v1/members/profile
Authentication: Bearer token (JWT)
idstringRequiredPATCH/api/v1/members/profile
Authentication: Bearer token (JWT)
application/jsonfullNamestringOptionalemailstring (email)OptionalmaxLength: 255birthDatestring (date-time)OptionalGET/api/v1/members/profile/subscriptions
Authentication: Bearer token (JWT)
statusmember_package_status_enumOptional"active", "inactive", "pending", "paused", "stopped", "expired", "waiting_for_activation"statusGroupsubscription_access_groupOptionalstatus.Allowed values: "active", "inactive"GET/api/v1/members/profile/invoices
Authentication: Bearer token (JWT)
idnumberGET/api/v1/members/profile/orders
Authentication: Bearer token (JWT)
pagenumberOptional1minimum: 1takenumberOptional10minimum: 1maximum: 50orderBystringOptional"createdAt"Allowed values: "createdAt", "id", "updatedAt"orderDirectionstringOptionalGET/api/v1/members/profile/info-with-content-access
Authentication: Bearer token (JWT)
GET/api/v1/members/profile/info-with-active-subscriptions
Authentication: Bearer token (JWT)
Same fields as Get logged in member info with content access (200).
POST/api/v1/members/profile/avatar
Authentication: Bearer token (JWT)
multipart/form-dataimagefileOptionalimagePreviewstringOptionalpreviousImageUrlstringOptionalPOST/api/v1/members/profile/email/pre-verify
Authentication: Bearer token (JWT)
application/jsonemailstring (email)RequiredPATCH/api/v1/members/profile/email
Authentication: Bearer token (JWT)
application/jsonemailstring (email)RequiredotpstringRequiredhashstringRequiredPOST/api/v1/members/profile/phone/pre-verify
Authentication: Bearer token (JWT)
application/jsonphonestringRequiredlanguagestringRequired"en", "no", "sv", "da"PATCH/api/v1/members/profile/phone
Authentication: Bearer token (JWT)
application/jsonphonestringRequiredotpstringRequiredhashstringRequiredPOST/api/v1/members/profile/request-account-deletion
Authentication: Bearer token (JWT)
Same fields as Get logged in member personal info (200).
GET/api/v1/members/profile/subscriptions/{id}
Authentication: Bearer token (JWT)
idnumberRequiredGET/api/v1/members/profile/subscription-plans/all
Authentication: Bearer token (JWT)
statusstringOptional"draft", "published", "archived"allowSameSubscriptionChangebooleanOptionalallowDifferentSubscriptionSwitchbooleanOptionalshowAsOptionOnSubscriptionSwitchbooleanOptionalshowAsOptionOnAdminSubscriptionSwitchbooleanOptionalGET/api/v1/members/profile/subscription-plans/{id}
Authentication: Bearer token (JWT)
idnumberRequiredGET/api/v1/members/profile/subscriptions/product/{id}
Authentication: Bearer token (JWT)
idnumberRequiredGET/api/v1/members/profile/subscriptions/product/{id}/seats
Authentication: Bearer token (JWT)
idnumberRequiredpagenumberOptional1minimum: 1takenumberOptional10minimum: 1maximum: 50orderBystringOptionalPUT/api/v1/members/profile/subscriptions/product/{id}/ip-ranges
Authentication: Bearer token (JWT)
idnumberRequiredapplication/jsonDELETE/api/v1/members/profile/subscriptions/product/{id}/ip-ranges/{ipRange}
Authentication: Bearer token (JWT)
idnumberRequiredipRangestringRequiredPOST/api/v1/members/profile/subscriptions/product/{id}/create-member
Authentication: Bearer token (JWT)
idnumberRequiredapplication/jsonPOST/api/v1/members/profile/subscriptions/product/{id}/create-gift-receiver
Authentication: Bearer token (JWT)
idnumberRequiredsendInvitationbooleanOptionalapplication/jsonGET/api/v1/members/profile/invoice/{id}
Authentication: Bearer token (JWT)
idnumberRequiredThis response has no body.
GET/api/v1/members/profile/refund/{id}
Authentication: Bearer token (JWT)
idnumberRequiredThis response has no body.
PATCH/api/v1/members/profile/subscriptions/{id}/auto-renewal/{activate}
Authentication: Bearer token (JWT)
idnumberRequiredactivatebooleanRequiredPATCH/api/v1/members/profile/subscriptions/{id}/activation-date
Authentication: Bearer token (JWT)
idnumberRequiredapplication/jsonautoRenewGET/api/v1/members/profile/seats/{id}
Authentication: Bearer token (JWT)
idnumberRequiredDELETE/api/v1/members/profile/seats/{id}
Authentication: Bearer token (JWT)
idnumberRequiredThis response has no body.
PATCH/api/v1/members/profile/seats/{id}
Authentication: Bearer token (JWT)
idnumberRequiredapplication/jsonfullNamestringOptionalGET/api/v1/members/profile/seats/{id}/recipient/attached-products
Authentication: Bearer token (JWT)
idnumberRequiredPOST/api/v1/members/profile/seats/invite
Authentication: Bearer token (JWT)
application/jsonemailstring (email)RequiredidnumberRequiredminimum: 1POST/api/v1/members/profile/seats/{seatId}/resend
Authentication: Bearer token (JWT)
seatIdnumberRequiredapplication/jsonemailstring (email)OptionalPOST/api/v1/members/profile/seats/{uuid}/accept
Authentication: Bearer token (JWT)
uuidstringRequiredPOST/api/v1/members/profile/seats/{uuid}/accept-gift
Authentication: Bearer token (JWT)
uuidstringRequiredPOST/api/v1/members/profile/subscriptions/{id}/invoice-address
Authentication: Bearer token (JWT)
idnumberRequiredapplication/jsonline1stringOptionalPATCH/api/v1/members/profile/subscriptions/{id}/invoice-address
Authentication: Bearer token (JWT)
idnumberRequiredapplication/jsonSame fields as Add invoice address of a subscribed product (Request body).
POST/api/v1/members/profile/subscriptions/product/{id}/delivery-address
Authentication: Bearer token (JWT)
idnumberRequiredapplication/jsonSame fields as Add invoice address of a subscribed product (Request body).
PATCH/api/v1/members/profile/subscriptions/product/{id}/owner-access/{activate}
Authentication: Bearer token (JWT)
idnumberRequiredactivatebooleanRequiredGET/api/v1/members/profile/subscriptions/product/{productId}/delivery-address/{addressId}
Authentication: Bearer token (JWT)
productIdnumberRequiredaddressIdnumberRequiredPATCH/api/v1/members/profile/subscriptions/product/{productId}/delivery-address/{addressId}
Authentication: Bearer token (JWT)
productIdnumberRequiredaddressIdnumberRequiredapplication/jsonSame fields as Add invoice address of a subscribed product (Request body).
DELETE/api/v1/members/profile/subscriptions/product/{id}/delivery-address/{addressId}
Authentication: Bearer token (JWT)
idnumberRequiredaddressIdnumberRequiredGET/api/v1/members/profile/consents
Authentication: Bearer token (JWT)
idnumberRequired when parent is presentPATCH/api/v1/members/profile/consents/toggle/{id}
Authentication: Bearer token (JWT)
idnumberRequiredapplication/jsonchannelstringRequiredPOST/api/v1/members/profile/consents/default-subscribe
Authentication: Bearer token (JWT)
No named fields are defined for this schema.
POST/api/v1/members/profile/subscriptions/{id}/change
Authentication: Bearer token (JWT)
idnumberRequiredapplication/jsonplanIdnumberOptionalGET/api/v1/members/profile/subscriptions/{id}/change/{changeId}
Authentication: Bearer token (JWT)
idnumberRequiredchangeIdnumberRequiredPATCH/api/v1/members/profile/subscriptions/{id}/change/{changeId}/cancel
Authentication: Bearer token (JWT)
idnumberRequiredchangeIdnumberRequiredPATCH/api/v1/members/profile/subscriptions/{id}/change/{changeId}/confirm
Authentication: Bearer token (JWT)
idnumberRequiredchangeIdnumberRequiredGET/api/v1/members/profile/missing-info
Authentication: Bearer token (JWT)
GET/api/v1/members/profile/login-accounts
Authentication: Bearer token (JWT)
POST/api/v1/members/profile/subscription-plan/price-by-quantity
Authentication: Bearer token (JWT)
application/jsonplanIdnumberRequiredminimum: 1DELETE/api/v1/members/profile/login-accounts/{id}
Authentication: Bearer token (JWT)
idstringRequiredThis response has no body.
POST/api/v1/members/profile/subscription-action-help-text/{id}
Authentication: Bearer token (JWT)
idnumberRequiredapplication/jsonlanguageLANGUAGEOptionalDELETE/api/v1/members/profile/subscriptions/{id}/payment-method
Deletes the card at the payment provider and clears every local copy of it. Allowed only for the paying owner, and only while the subscription cannot be charged — a terminal status, or active with auto-renew off. Idempotent: repeating it on a subscription that stores nothing succeeds.
Authentication: Bearer token (JWT)
idnumberRequireddastringkeystringField path: [].title.keydescriptionTranslationRequired when parent is presentCan be null5 fields[].descriptionenstringRequired when parent is presentField path: [].description.ennostringRequired when parent is presentField path: [].description.nosvstringField path: [].description.svdastringField path: [].description.dakeystringField path: [].description.keyidnumberRequired when parent is presentlinkstringRequired when parent is presentcardTypestringRequired when parent is present"subrite_standard", "custom"showOnMyPagebooleanRequired when parent is presentdisplay_ordernumberRequired when parent is present[
{
"title": {},
"description": {},
"id": 0,
"link": "string",
"cardType": "subrite_standard",
"showOnMyPage": true,
"display_order": 0
}
]errorsarray of FieldErrorRequirederrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}errorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}memberPackageIdnumberRequired when parent is presentproductIdnumberRequired when parent is presentpricenumberRequired when parent is presentrecurringPricenumberRequired when parent is presentquantitynumberRequired when parent is presenthasAccessbooleanRequired when parent is presentshippingCountrystringRequired when parent is presentshippingProviderstringRequired when parent is present"Helthjem", "Bring - Posten", "Distribution Innovation"allowDistributorToUpdateDeliveryAddressbooleanRequired when parent is presentmemberPackageProductEmailDomainsarray of MemberPackageProductEmailDomainRequired when parent is present9 fields[].memberPackageProductEmailDomainsmemberPackageProductIdnumberRequired when parent is presentField path: [].memberPackageProductEmailDomains[].memberPackageProductIdemailDomainstringRequired when parent is presentField path: [].memberPackageProductEmailDomains[].emailDomainupdatedBynumberRequired when parent is presentField path: [].memberPackageProductEmailDomains[].updatedBymemberPackageProductmemberPackageProductIpsarray of MemberPackageProductIpRequired when parent is present10 fields[].memberPackageProductIpsmemberPackageProductIdnumberRequired when parent is presentField path: [].memberPackageProductIps[].memberPackageProductIdipRangestringRequired when parent is presentField path: [].memberPackageProductIps[].ipRangelabelstringRequired when parent is presentField path: [].memberPackageProductIps[].labelupdatedBynumberRequired when parent is presentField path: [].memberPackageProductIps[].updatedBymemberPackageMemberPackageRequired when parent is present35 fields[].memberPackagememberIdstringRequired when parent is presentField path: [].memberPackage.memberIdpackageIdnumberRequired when parent is presentField path: [].memberPackage.packageIdsubscriptionPlanIdnumberRequired when parent is presentField path: [].memberPackage.subscriptionPlanIdrecurringPricenumberRequired when parent is presentField path: [].memberPackage.recurringPricehasCustomPricebooleanproductProductRequired when parent is presentNested fields omitted: field limit.seatsarray of MemberPackageProductSeatRequired when parent is presentNested fields omitted: field limit.recipientsarray of MemberPackageProductRecipientRequired when parent is presentNested fields omitted: field limit.idnumberRequired when parent is presentcreatedAtstring (date-time)Required when parent is presentupdatedAtstring (date-time)Required when parent is presentdeletedAtstring (date-time)Required when parent is presentmetaDataobjectRequired when parent is present[
{
"memberPackageId": 0,
"productId": 0,
"price": 0,
"recurringPrice": 0,
"quantity": 0,
"hasAccess": true,
"shippingCountry": "string",
"shippingProvider": "Helthjem",
"allowDistributorToUpdateDeliveryAddress": true,
"memberPackageProductEmailDomains": [],
"memberPackageProductIps": [],
"memberPackage": {
"memberPackageProducts": [],
"orders": [],
"changes": [],
"histories": [],
"metaData": {}
},
"product": {
"properties": {},
"shippingCharges": [],
"entityTags": [],
"subscriptionPlanProducts": [],
"packageProducts": [],
"memberPackageProducts": [],
"orderItem": [],
"productContents": [],
"metaData": {}
},
"seats": [],
"recipients": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}
]memberEmailMissing, invalidEmailDomain
messageCodestringRequired"memberEmailMissing", "invalidEmailDomain"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCode{
"messageCode": "memberEmailMissing",
"message": "string",
"errors": [
{}
]
}unauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/members/profile/available-subscriptions-to-join \
--header 'Authorization: Bearer <token>'{
"memberPackageProductIds": [
12,
45
]
}memberPackageProductIdnumberRequired when parent is presentmemberIdstringRequired when parent is presentemailstringRequired when parent is presentacceptedbooleanRequired when parent is presentacceptedAtstring (date-time)Required when parent is presentexpiresAtstring (date-time)Required when parent is presentuuidstringRequired when parent is presentmemberPackageProductMemberPackageProductRequired when parent is present20 fields[].memberPackageProductmemberPackageIdnumberRequired when parent is presentField path: [].memberPackageProduct.memberPackageIdproductIdnumberRequired when parent is presentField path: [].memberPackageProduct.productIdpricenumberRequired when parent is presentField path: [].memberPackageProduct.pricerecurringPricenumberRequired when parent is presentField path: [].memberPackageProduct.recurringPricememberMemberRequired when parent is present21 fields[].memberuserIdnumberRequired when parent is presentField path: [].member.userIdmemberNumbernumberRequired when parent is presentField path: [].member.memberNumbertenantIdnumberRequired when parent is presentField path: [].member.tenantIdexternalIdstringRequired when parent is presentField path: [].member.externalIdidnumberRequired when parent is presentcreatedAtstring (date-time)Required when parent is presentupdatedAtstring (date-time)Required when parent is presentdeletedAtstring (date-time)Required when parent is presentmetaDataobjectRequired when parent is present[
{
"memberPackageProductId": 0,
"memberId": "string",
"email": "string",
"accepted": true,
"acceptedAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"uuid": "string",
"memberPackageProduct": {
"memberPackageProductEmailDomains": [],
"memberPackageProductIps": [],
"seats": [],
"recipients": [],
"metaData": {}
},
"member": {
"customPropertyValues": {},
"productRecipients": [],
"metaData": {}
},
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}
]badRequest, seatLimitReached
messageCodestringRequired"badRequest", "seatLimitReached"messagestringunauthorized
messageCodestringRequired"unauthorized"messagestringforbiddenResource
Same fields as Get mypage cards settings of a tenant (401).
notFound, productNotFound
messageCodestringRequired"notFound", "productNotFound"messagestringcurlcurl https://api.subrite.no/api/v1/members/profile/join-subscriptions \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"memberPackageProductIds": [
12,
45
]
}'fullNamestringRequirednickNamestringRequiredcreatedAtstring (date-time)RequiredavatarstringRequiredcountryCodestringbirthDatestring (date-time)RequireddeleteAfterExpirationbooleanRequiredisCompanybooleanRequiredcompanyNamestringRequiredorganizationNostringRequiredcustomPropertyValuesobjectRequiredemailVerifiedstringphoneVerifiedbooleanRequiredmemberNumbernumberRequireduserIdnumberRequiredemailStatusSENDGRID_MAIL_EVENTS"scheduled", "processed", "dropped", "deferred", "bounce", "hard_bounce", "soft_bounce", "spamreport", "delivered", "unsubscribe", "group_unsubscribe", "group_resubscribe", "open", "failed", "click", "skipped_bounced"emailstring (email)RequiredphonestringRequiredaddressProfileAddressRequired12 fieldsaddressline1stringRequiredField path: address.line1line2stringRequiredField path: address.line2citystringRequiredField path: address.citypostCodestringRequiredField path: address.postCodecountrystringRequiredField path: address.countrynamestringRequiredField path: address.nameemailstringRequiredField path: address.emailcompanyNamestringRequiredField path: address.companyNameorganizationNostringRequiredField path: address.organizationNoinvoiceReferencestringField path: address.invoiceReferenceisSyncedbooleanField path: address.isSyncedlastSyncedAtstring (date-time)Field path: address.lastSyncedAt{
"id": "string",
"fullName": "<fullName>",
"nickName": "string",
"createdAt": "2019-08-24T14:15:22Z",
"avatar": "string",
"countryCode": "string",
"birthDate": "<birthDate>",
"deleteAfterExpiration": true,
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"customPropertyValues": {},
"emailVerified": "string",
"phoneVerified": true,
"memberNumber": 0,
"userId": 0,
"emailStatus": "scheduled",
"email": "user@example.com",
"phone": "<phone>",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "string",
"companyName": "string",
"organizationNo": "string",
"invoiceReference": "string",
"isSynced": true,
"lastSyncedAt": "2019-08-24T14:15:22Z"
}
}unauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}notFound, memberNotFound
messageCodestringRequired"notFound", "memberNotFound"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "notFound",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/members/profile \
--header 'Authorization: Bearer <token>'nickNamestringOptionalmaxLength: 255phonestringOptionalmaxLength: 32countryCodestringOptionalmaxLength: 8isCompanybooleanOptionalcompanyNamestringOptionalmaxLength: 255addressMemberAddressDtoOptional11 fieldsaddressline1stringOptionalField path: address.line1maxLength: 255line2stringOptionalField path: address.line2maxLength: 255citystringOptionalField path: address.citymaxLength: 255statestringOptionalField path: address.statemaxLength: 255postCodestringOptionalField path: address.postCodemaxLength: 32countrystringOptionalField path: address.countrymaxLength: 64namestringOptionalField path: address.namemaxLength: 255emailstring (email)OptionalField path: address.emailmaxLength: 255organizationNostringOptionalField path: address.organizationNomaxLength: 64companyNamestringOptionalField path: address.companyNamemaxLength: 255invoiceReferencestringOptionalField path: address.invoiceReferencemaxLength: 255customPropertyValuesobjectOptionaldeleteAfterExpirationbooleanOptional{
"fullName": "<fullName>",
"email": "user@example.com",
"birthDate": "<birthDate>",
"nickName": "string",
"phone": "<phone>",
"countryCode": "string",
"isCompany": true,
"companyName": "string",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "user@example.com",
"organizationNo": "string",
"companyName": "string",
"invoiceReference": "string"
},
"customPropertyValues": {},
"deleteAfterExpiration": true
}Same fields as Get logged in member personal info (200).
{
"id": "string",
"fullName": "<fullName>",
"nickName": "string",
"createdAt": "2019-08-24T14:15:22Z",
"avatar": "string",
"countryCode": "string",
"birthDate": "<birthDate>",
"deleteAfterExpiration": true,
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"customPropertyValues": {},
"emailVerified": "string",
"phoneVerified": true,
"memberNumber": 0,
"userId": 0,
"emailStatus": "scheduled",
"email": "user@example.com",
"phone": "<phone>",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "string",
"companyName": "string",
"organizationNo": "string",
"invoiceReference": "string",
"isSynced": true,
"lastSyncedAt": "2019-08-24T14:15:22Z"
}
}badRequest, alreadyExists, emailChangeRequiresVerification, phoneChangeRequiresVerification
messageCodestringRequired"badRequest", "alreadyExists", "emailChangeRequiresVerification", "phoneChangeRequiresVerification"messagestringunauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/members/profile \
--request PATCH \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"fullName": "<fullName>",
"email": "user@example.com",
"birthDate": "<birthDate>",
"nickName": "string",
"phone": "<phone>",
"countryCode": "string",
"isCompany": true,
"companyName": "string",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "user@example.com",
"organizationNo": "string",
"companyName": "string",
"invoiceReference": "string"
},
"customPropertyValues": {},
"deleteAfterExpiration": true
}'application/jsonidnumberRequired when parent is presentpackageIdnumberRequired when parent is presentnamestringRequired when parent is presentslugstringRequired when parent is presentstatusstringRequired when parent is present"active", "inactive", "pending", "paused", "stopped", "expired", "waiting_for_activation"nextRenewalstring (date-time)Required when parent is presenthasChangebooleanRequired when parent is presentchangePlanNamestringscheduledActivationDatestring (date-time)[
{
"id": 0,
"packageId": 0,
"name": "string",
"slug": "string",
"status": "active",
"nextRenewal": "2019-08-24T14:15:22Z",
"hasChange": true,
"changePlanName": "string",
"scheduledActivationDate": "2019-08-24T14:15:22Z"
}
]unauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}notFound
messageCodestringRequired"notFound"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "notFound",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/members/profile/subscriptions \
--header 'Authorization: Bearer <token>'typeTransactionResponseTypeRequired when parent is present"payment", "refund", "invoice", "credit_note", "rounding_adjustment"invoiceNonumberRequired when parent is presentinvoiceDatestring (date-time)Required when parent is presentpackNamestringRequired when parent is presentmemberPackageIdnumberRequired when parent is presentmemberIdstringRequired when parent is presentmemberEmailstringRequired when parent is presentmemberNamestringtotalAmountnumberRequired when parent is presentstatusINVOICE_STATUSRequired when parent is present"paid", "unpaid", "over-due", "over-paid", "partially-paid", "refunded", "credited", "partially-credited"memberPackageStatusMEMBER_PACKAGE_STATUS"active", "inactive", "pending", "paused", "stopped", "expired", "waiting_for_activation"deliveryStatusINVOICE_DELIVERY_STATUS"sent_via_einvoice", "sent_via_email", "sent_via_sms", "sent_via_payment_gateway", "sent_manually", "in_progress", "not_sent"isCreditNotebooleanRequired when parent is presentreferencedInvoiceNumbernumberkidstringRequired when parent is presentnotestringRequired when parent is presentpaymentProviderPAYMENT_PROVIDERRequired when parent is present"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"memberNumbernumberRequired when parent is presentinvoiceDueDatestring (date-time)orderIdnumberRequired when parent is presentautoGeneratedbooleanRequired when parent is presentcreditNoteNumbersarray of number[
{
"id": 0,
"type": "payment",
"invoiceNo": 0,
"invoiceDate": "2019-08-24T14:15:22Z",
"packName": "string",
"memberPackageId": 0,
"memberId": "string",
"memberEmail": "string",
"memberName": "<memberName>",
"totalAmount": 0,
"status": "paid",
"memberPackageStatus": "active",
"deliveryStatus": "sent_via_einvoice",
"isCreditNote": true,
"referencedInvoiceNumber": 0,
"kid": "string",
"note": "string",
"paymentProvider": "stripe",
"memberNumber": 0,
"invoiceDueDate": "2019-08-24T14:15:22Z",
"orderId": 0,
"autoGenerated": true,
"creditNoteNumbers": []
}
]unauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}notFound
Same fields as Get logged in member subscriptions (404).
{
"messageCode": "notFound",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/members/profile/invoices \
--header 'Authorization: Bearer <token>'"desc""asc", "desc"itemsarray of OrderResponseRequired30 fieldsitemsidnumberRequired when parent is presentField path: items[].idorderDatestring (date-time)Required when parent is presentField path: items[].orderDateorderNumbernumberRequired when parent is presentField path: items[].orderNumberpaymentStatusPAYMENT_STATUSRequired when parent is presentField path: items[].paymentStatus"pending", "succeeded", "failed"amountnumberRequired when parent is presentField path: items[].amountcreditnumberRequired when parent is presentField path: items[].creditdebitnumberRequired when parent is presentField path: items[].debitpackageNamestringRequired when parent is presentField path: items[].packageNameplanNamestringRequired when parent is presentField path: items[].planNamepaymentProviderPAYMENT_PROVIDERRequired when parent is presentField path: items[].paymentProvider"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"currencystringRequired when parent is presentField path: items[].currencybillingPeriodInfoBillingPeriodInfoRequired when parent is presentField path: items[].billingPeriodInfo2 fieldsitems[].billingPeriodInfobillingPeriodstringRequired when parent is presentField path: items[].billingPeriodInfo.billingPeriodcustomBillingPeriodBillingPeriodDetailsRequired when parent is presentField path: items[].billingPeriodInfo.customBillingPeriodNested fields omitted: depth limit.allowedPaymentProvidersarray of PAYMENT_PROVIDERRequired when parent is presentField path: items[].allowedPaymentProviders"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"tenantIdnumberRequired when parent is presentField path: items[].tenantIdupgradeDataMemberPackageChangeDataField path: items[].upgradeData5 fieldsitems[].upgradeDataplanChangePlanChangeRequired when parent is presentField path: items[].upgradeData.planChangeNested fields omitted: depth limit.productChangearray of ProductChangeRequired when parent is presentField path: items[].upgradeData.productChangeNested fields omitted: depth limit.optionalProductsarray of OptionalProductWithQuantityRequired when parent is presentField path: items[].upgradeData.optionalProductsNested fields omitted: depth limit.planProductPricesarray of PlanProductPriceSnapshotField path: items[].upgradeData.planProductPricesmemberPackageIdnumberRequired when parent is presentField path: items[].memberPackageIdrecurringPriceAtOrdernumberRequired when parent is presentField path: items[].recurringPriceAtOrderpaymentIdnumberRequired when parent is presentField path: items[].paymentIdpaymentTokenstringRequired when parent is presentField path: items[].paymentTokentypestringRequired when parent is presentField path: items[].type"initial", "recurrent", "upgrade", "credit-note", "standalone"orderItemsarray of OrderItemRequired when parent is presentField path: items[].orderItems14 fieldsitems[].orderItemsorderIdnumberRequired when parent is presentField path: items[].orderItems[].orderIdproductIdnumberRequired when parent is presentField path: items[].orderItems[].productIdnamestringRequired when parent is presentField path: items[].orderItems[].namepricenumberRequired when parent is presentField path: items[].orderItems[].pricetaxnumberRequired when parent is presentpaymentPaymentRequired when parent is presentField path: items[].paymentNested fields omitted: field limit.memberPackageMemberPackageRequired when parent is presentField path: items[].memberPackageNested fields omitted: field limit.invoiceInvoiceRequired when parent is presentField path: items[].invoiceNested fields omitted: field limit.tenantTenantRequired when parent is presentField path: items[].tenantNested fields omitted: field limit.memberPackageChangeMemberPackageChangeRequired when parent is presentField path: items[].memberPackageChange12 fieldsitems[].memberPackageChangeisImmediatebooleanRequired when parent is presentField path: items[].memberPackageChange.isImmediatechangeInPricenumberRequired when parent is presentField path: items[].memberPackageChange.changeInPricestatusstringRequired when parent is presentField path: items[].memberPackageChange.status"CREATED", "PAYMENT_PENDING", "CONFIRMATION_PENDING_FOR_NEXT_RENEWAL", "PENDING_FOR_NEXT_RENEWAL", "COMPLETED", "CANCELLED"createdAtstring (date-time)Required when parent is presentField path: items[].createdAtupdatedAtstring (date-time)Required when parent is presentField path: items[].updatedAtdeletedAtstring (date-time)Required when parent is presentField path: items[].deletedAtmetaDataobjectRequired when parent is presentField path: items[].metaDatametaPageMetaRequired6 fieldsmetapagenumberRequiredField path: meta.pagetakenumberRequiredField path: meta.takecountnumberRequiredField path: meta.countpageCountnumberRequiredField path: meta.pageCounthasPreviousPagebooleanRequiredField path: meta.hasPreviousPagehasNextPagebooleanRequiredField path: meta.hasNextPage{
"items": [
{
"allowedPaymentProviders": [],
"orderItems": [],
"metaData": {}
}
],
"meta": {
"page": 0,
"take": 0,
"count": 0,
"pageCount": 0,
"hasPreviousPage": true,
"hasNextPage": true
}
}unauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}notFound
Same fields as Get logged in member subscriptions (404).
{
"messageCode": "notFound",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/members/profile/orders \
--header 'Authorization: Bearer <token>'idstringRequiredfullNamestringRequiredmemberNumbernumberRequireduserTypeUserTypeRequired"system_admin", "tenant_admin", "member", "not_set"userIdnumberRequirednickNamestringRequiredavatarstringRequiredsubscriptionsarray of ActiveSubscriptionInfoRequired9 fieldssubscriptionscreatedAtstring (date-time)Required when parent is presentField path: subscriptions[].createdAtactivatedAtstring (date-time)Required when parent is presentField path: subscriptions[].activatedAtexpiresAtstring (date-time)Required when parent is presentField path: subscriptions[].expiresAtautoRenewbooleanRequired when parent is presentField path: subscriptions[].autoRenewsubscriptionIdnumberRequired when parent is presentField path: subscriptions[].subscriptionIdpackageIdnumberRequired when parent is presentField path: subscriptions[].packageIdpackageNamestringRequired when parent is presentField path: subscriptions[].packageNamestatusMEMBER_PACKAGE_STATUSRequired when parent is presentField path: subscriptions[].status"active", "inactive", "pending", "paused", "stopped", "expired", "waiting_for_activation"subscriptionProductsarray of SubscriptionPlanProductsRequired when parent is presentField path: subscriptions[].subscriptionProducts3 fieldssubscriptions[].subscriptionProductsidnumberRequired when parent is presentField path: subscriptions[].subscriptionProducts[].idnamestringRequired when parent is presentField path: subscriptions[].subscriptionProducts[].namehasAccessbooleanRequired when parent is presentField path: subscriptions[].subscriptionProducts[].hasAccesscustomPropertyValuesobjectRequiredcontentChannelsarray of ContentChannel7 fieldscontentChannelsidnumberRequired when parent is presentField path: contentChannels[].idnamestringRequired when parent is presentField path: contentChannels[].namedescriptionstringRequired when parent is presentField path: contentChannels[].descriptiontenantTenantRequired when parent is presentField path: contentChannels[].tenantNested fields omitted: field limit.tenantIdnumberRequired when parent is presentField path: contentChannels[].tenantIdcreatedAtstring (date-time)Required when parent is presentField path: contentChannels[].createdAtupdatedAtstring (date-time)Required when parent is presentField path: contentChannels[].updatedAtpodcastsarray of PodcastDto7 fieldspodcastsidnumberRequired when parent is presentField path: podcasts[].idpodcastUrlSignaturestringRequired when parent is presentField path: podcasts[].podcastUrlSignatureimageUrlstringRequired when parent is presentField path: podcasts[].imageUrlnamestringRequired when parent is presentField path: podcasts[].namedescriptionstringRequired when parent is presentField path: podcasts[].descriptionsortOrdernumberRequired when parent is presentField path: podcasts[].sortOrdershowUrlstringRequired when parent is presentField path: podcasts[].showUrlconsentsarray of MemberConsentDto14 fieldsconsentsidnumberRequired when parent is presentField path: consents[].idupdatedAtstring (date-time)Required when parent is presentField path: consents[].updatedAttitlestringRequired when parent is presentField path: consents[].titledescriptionstringRequired when parent is presentField path: consents[].descriptionimagestringRequired when parent is presentField path: consents[].imageshowOnCheckoutPagebooleanRequired when parent is presentField path: consents[].showOnCheckoutPageshowOnMyPagebooleanRequired when parent is presentField path: consents[].showOnMyPagestatusobjectRequired when parent is presentField path: consents[].statussortOrdernumberRequired when parent is presentField path: consents[].sortOrderfrequencystringRequired when parent is presentField path: consents[].frequencynewsletterProviderConfigIdnumberRequired when parent is presentField path: consents[].newsletterProviderConfigIdconsentStatusstringRequired when parent is presentField path: consents[].consentStatuspurposestringRequired when parent is presentField path: consents[].purpose"marketing_and_newsletter", "consent"visibilitystringRequired when parent is presentField path: consents[].visibility"subscriber", "nonSubscriber", "all"phonestringRequiredemailstring (email)RequiredaddressProfileAddressRequired12 fieldsaddressline1stringRequiredField path: address.line1line2stringRequiredField path: address.line2citystringRequiredField path: address.citypostCodestringRequiredField path: address.postCodecountrystringRequiredField path: address.countrynamestringRequiredField path: address.nameemailstringRequiredField path: address.emailcompanyNamestringRequiredField path: address.companyNameorganizationNostringRequiredField path: address.organizationNoinvoiceReferencestringField path: address.invoiceReferenceisSyncedbooleanField path: address.isSyncedlastSyncedAtstring (date-time)Field path: address.lastSyncedAt{
"id": "string",
"fullName": "<fullName>",
"memberNumber": 0,
"userType": "system_admin",
"userId": 0,
"nickName": "string",
"avatar": "string",
"subscriptions": [
{
"subscriptionProducts": []
}
],
"customPropertyValues": {},
"contentChannels": [
{}
],
"podcasts": [
{}
],
"consents": [
{
"status": {}
}
],
"phone": "<phone>",
"email": "user@example.com",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "string",
"companyName": "string",
"organizationNo": "string",
"invoiceReference": "string",
"isSynced": true,
"lastSyncedAt": "2019-08-24T14:15:22Z"
}
}unauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}memberNotFound
messageCodestringRequired"memberNotFound"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "memberNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/members/profile/info-with-content-access \
--header 'Authorization: Bearer <token>'{
"id": "string",
"fullName": "<fullName>",
"memberNumber": 0,
"userType": "system_admin",
"userId": 0,
"nickName": "string",
"avatar": "string",
"subscriptions": [
{
"subscriptionProducts": []
}
],
"customPropertyValues": {},
"contentChannels": [
{}
],
"podcasts": [
{}
],
"consents": [
{
"status": {}
}
],
"phone": "<phone>",
"email": "user@example.com",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "string",
"companyName": "string",
"organizationNo": "string",
"invoiceReference": "string",
"isSynced": true,
"lastSyncedAt": "2019-08-24T14:15:22Z"
}
}unauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}memberNotFound
Same fields as Get logged in member info with content access (404).
{
"messageCode": "memberNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/members/profile/info-with-active-subscriptions \
--header 'Authorization: Bearer <token>'Same fields as Get logged in member personal info (200).
{
"id": "string",
"fullName": "<fullName>",
"nickName": "string",
"createdAt": "2019-08-24T14:15:22Z",
"avatar": "string",
"countryCode": "string",
"birthDate": "<birthDate>",
"deleteAfterExpiration": true,
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"customPropertyValues": {},
"emailVerified": "string",
"phoneVerified": true,
"memberNumber": 0,
"userId": 0,
"emailStatus": "scheduled",
"email": "user@example.com",
"phone": "<phone>",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "string",
"companyName": "string",
"organizationNo": "string",
"invoiceReference": "string",
"isSynced": true,
"lastSyncedAt": "2019-08-24T14:15:22Z"
}
}badRequest, invalidFileType
messageCodestringRequired"badRequest", "invalidFileType"messageunauthorized
Same fields as Get mypage cards settings of a tenant (401).
fileSizeExceeded
This response has no body.
invalidFileType
This response has no body.
curlcurl https://api.subrite.no/api/v1/members/profile/avatar \
--request POST \
--header 'Authorization: Bearer <token>' \
--form 'image=@<file>'{
"email": "user@example.com"
}hashstringRequired{
"hash": "string"
}alreadyExists, retryAfter5Mins, emailAlreadyVerified
messageCodestringRequired"alreadyExists", "retryAfter5Mins", "emailAlreadyVerified"messagestringunauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/members/profile/email/pre-verify \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"email": "user@example.com"
}'{
"email": "user@example.com",
"otp": "<otp>",
"hash": "string"
}Same fields as Get logged in member personal info (200).
{
"id": "string",
"fullName": "<fullName>",
"nickName": "string",
"createdAt": "2019-08-24T14:15:22Z",
"avatar": "string",
"countryCode": "string",
"birthDate": "<birthDate>",
"deleteAfterExpiration": true,
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"customPropertyValues": {},
"emailVerified": "string",
"phoneVerified": true,
"memberNumber": 0,
"userId": 0,
"emailStatus": "scheduled",
"email": "user@example.com",
"phone": "<phone>",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "string",
"companyName": "string",
"organizationNo": "string",
"invoiceReference": "string",
"isSynced": true,
"lastSyncedAt": "2019-08-24T14:15:22Z"
}
}alreadyExists, invalidOtp, otpExpired
messageCodestringRequired"alreadyExists", "invalidOtp", "otpExpired"messagestringerrorsunauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}updateFailed
messageCodestringRequired"updateFailed"messagestringerrorsarray of FieldErrorRequiredcurlcurl https://api.subrite.no/api/v1/members/profile/email \
--request PATCH \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"email": "user@example.com",
"otp": "<otp>",
"hash": "string"
}'{
"phone": "<phone>",
"language": "en"
}Same fields as Request email pre-verification (201).
{
"hash": "string"
}phoneNumberIsInvalid, retryAfter5Mins, phoneAlreadyVerified, dailyLimitReached, hourlyLimitReached
messageCodestringRequired"phoneNumberIsInvalid", "retryAfter5Mins", "phoneAlreadyVerified", "dailyLimitReached", "hourlyLimitReached"messagestringunauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/members/profile/phone/pre-verify \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"phone": "<phone>",
"language": "en"
}'{
"phone": "<phone>",
"otp": "<otp>",
"hash": "string"
}Same fields as Get logged in member personal info (200).
{
"id": "string",
"fullName": "<fullName>",
"nickName": "string",
"createdAt": "2019-08-24T14:15:22Z",
"avatar": "string",
"countryCode": "string",
"birthDate": "<birthDate>",
"deleteAfterExpiration": true,
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"customPropertyValues": {},
"emailVerified": "string",
"phoneVerified": true,
"memberNumber": 0,
"userId": 0,
"emailStatus": "scheduled",
"email": "user@example.com",
"phone": "<phone>",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "string",
"companyName": "string",
"organizationNo": "string",
"invoiceReference": "string",
"isSynced": true,
"lastSyncedAt": "2019-08-24T14:15:22Z"
}
}alreadyExists, invalidOtp, otpExpired
Same fields as Update email (400).
{
"messageCode": "alreadyExists",
"message": "string",
"errors": [
{}
]
}unauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}updateFailed
Same fields as Update email (500).
{
"messageCode": "updateFailed",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/members/profile/phone \
--request PATCH \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"phone": "<phone>",
"otp": "<otp>",
"hash": "string"
}'MemberPersonalInfo{
"id": "string",
"fullName": "<fullName>",
"nickName": "string",
"createdAt": "2019-08-24T14:15:22Z",
"avatar": "string",
"countryCode": "string",
"birthDate": "<birthDate>",
"deleteAfterExpiration": true,
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"customPropertyValues": {},
"emailVerified": "string",
"phoneVerified": true,
"memberNumber": 0,
"userId": 0,
"emailStatus": "scheduled",
"email": "user@example.com",
"phone": "<phone>",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "string",
"companyName": "string",
"organizationNo": "string",
"invoiceReference": "string",
"isSynced": true,
"lastSyncedAt": "2019-08-24T14:15:22Z"
}
}unauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}notFound
Same fields as Get logged in member subscriptions (404).
{
"messageCode": "notFound",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/members/profile/request-account-deletion \
--request POST \
--header 'Authorization: Bearer <token>'idnumberRequiredpackageIdnumberRequirednamestringRequiredslugstringRequiredsubscriptionPlanIdnumberRequiredsubscriptionPlanNamestringRequiredrecurringPricenumberRequiredautoRenewbooleanRequiredpaymentInfoPaymentInfoRequired7 fieldspaymentInfostripeCardInfoStripeCardInfoRequiredField path: paymentInfo.stripeCardInfo5 fieldspaymentInfo.stripeCardInfobrandstringRequiredField path: paymentInfo.stripeCardInfo.brandexpMonthnumberRequiredField path: paymentInfo.stripeCardInfo.expMonthexpYearnumberRequiredField path: paymentInfo.stripeCardInfo.expYearpaymentProviderstring"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"isOwnerbooleanRequiredcanRemovePaymentMethodbooleanRequiredhasStoredPaymentMethodbooleanRequiredisGroupSubscriptionbooleanRequiredstatusMEMBER_PACKAGE_STATUSRequired"active", "inactive", "pending", "paused", "stopped", "expired", "waiting_for_activation"groupOwnerNamestringRequiredproductsarray of ProductPackageRequired15 fieldsproductscirculationTypeCIRCULATION_TYPEField path: products[].circulationType"subscription", "single_copy"idnumberRequired when parent is presentField path: products[].idnamestringRequired when parent is presentField path: products[].nameproductIdnumberRequired when parent is presentField path: products[].productIdproductCategorystringRequired when parent is presentcurrentPeriodBillingInfoBillingPeriodInfoRequired2 fieldscurrentPeriodBillingInfobillingPeriodstringRequiredField path: currentPeriodBillingInfo.billingPeriodcustomBillingPeriodBillingPeriodDetailsRequiredField path: currentPeriodBillingInfo.customBillingPeriodNested fields omitted: field limit.nextPeriodBillingInfoBillingPeriodInfoRequired2 fieldsnextPeriodBillingInfobillingPeriodstringRequiredField path: nextPeriodBillingInfo.billingPeriodcustomBillingPeriodBillingPeriodDetailsRequiredField path: nextPeriodBillingInfo.customBillingPeriodNested fields omitted: field limit.currentPeriodPricenumberRequirednextPeriodPricenumberRequirednextRenewalstring (date-time)RequiredexpiresAtstring (date-time)RequiredchangeBlockReasonSUBSCRIPTION_CHANGE_BLOCK_REASON"ON_INTRO_PERIOD", "NOT_ACTIVE", "PAST_DUE", "ON_RENEWAL_DAY", "VIPPS_RECURRING_CHARGE_CREATED", "VIPPS_CHARGE_CREATION_WINDOW", "INVOICE_ALREADY_PAID_FOR_NEXT_PERIOD", "INVOICE_NOT_PAID_FOR_CURRENT_PERIOD"allowSameSubscriptionChangebooleanRequiredallowDifferentSubscriptionSwitchbooleanRequiredallowAdminSameSubscriptionChangebooleanRequiredallowAdminDifferentSubscriptionSwitchbooleanRequiredenableGiftSubscriptionbooleanRequiredallowFutureStartDatebooleanRequiredallowAutoRenewChangebooleanRequiredchangeDataChangeSubscriptionDetailsprimaryAddressProfileAddressRequiredNested fields omitted: field limit.invoiceAddressProfileAddressRequiredgroupOwnerMemberNamestringRequiredgroupOwnerMemberIdstringRequiredgroupOwnerMemberNumbernumberRequiredgroupOwnerPhoneNumberstringRequiredactiveSincestring (date-time)RequiredcurrentPeriodStartstring (date-time)RequiredcurrentPeriodEndstring (date-time)RequiredscheduledActivationDatestring (date-time)RequiredlastActiveAtstring (date-time)hasOptionalProductsInPlanbooleanRequiredinviteAcceptedProductsarray of MemberPackageProductSeatRequiredNested fields omitted: field limit.recipientAttachedProductsarray of MemberPackageProductRequiredNested fields omitted: field limit.isLinkboolean{
"id": 0,
"packageId": 0,
"name": "string",
"slug": "string",
"subscriptionPlanId": 0,
"subscriptionPlanName": "string",
"recurringPrice": 0,
"autoRenew": true,
"paymentInfo": {
"stripeCardInfo": {},
"isLink": true,
"netsCardInfo": {},
"swedbankpayCardInfo": {},
"vippsPaymentInfoWithDueCharge": {},
"eInvoicePaymentInfo": {},
"externalPaymentInfo": {}
},
"paymentProvider": "stripe",
"isOwner": true,
"canRemovePaymentMethod": true,
"hasStoredPaymentMethod": true,
"isGroupSubscription": true,
"status": "active",
"groupOwnerName": "<groupOwnerName>",
"products": [
{
"shippingCharges": [],
"shippingCountries": []
}
],
"currentPeriodBillingInfo": {
"billingPeriod": "string",
"customBillingPeriod": {}
},
"nextPeriodBillingInfo": {
"billingPeriod": "string",
"customBillingPeriod": {}
},
"currentPeriodPrice": 0,
"nextPeriodPrice": 0,
"nextRenewal": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"changeBlockReason": "ON_INTRO_PERIOD",
"allowSameSubscriptionChange": true,
"allowDifferentSubscriptionSwitch": true,
"allowAdminSameSubscriptionChange": true,
"allowAdminDifferentSubscriptionSwitch": true,
"enableGiftSubscription": true,
"allowFutureStartDate": true,
"allowAutoRenewChange": true,
"changeData": {
"id": 0,
"currentPlanName": "string",
"newPlanName": "string",
"currentProducts": [],
"newProducts": [],
"currentPaymentProviderInfo": {},
"currentBillingPeriod": {},
"newBillingPeriod": {},
"currentPeriodStart": "2019-08-24T14:15:22Z",
"nextRenewal": "2019-08-24T14:15:22Z",
"newPeriodStart": "2019-08-24T14:15:22Z",
"changeInPrice": 0,
"currentRecurringPrice": 0,
"nextRenewalPrice": 0,
"autoRenew": true,
"newPackageAutoRenew": true,
"orderId": 0
},
"primaryAddress": {
"line1": "string",
"line2": "string",
"city": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "string",
"companyName": "string",
"organizationNo": "string",
"invoiceReference": "string",
"isSynced": true,
"lastSyncedAt": "2019-08-24T14:15:22Z"
},
"invoiceAddress": {
"line1": "string",
"line2": "string",
"city": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "string",
"companyName": "string",
"organizationNo": "string",
"invoiceReference": "string",
"isSynced": true,
"lastSyncedAt": "2019-08-24T14:15:22Z"
},
"groupOwnerMemberName": "<groupOwnerMemberName>",
"groupOwnerMemberId": "string",
"groupOwnerMemberNumber": 0,
"groupOwnerPhoneNumber": "<groupOwnerPhoneNumber>",
"activeSince": "2019-08-24T14:15:22Z",
"currentPeriodStart": "2019-08-24T14:15:22Z",
"currentPeriodEnd": "2019-08-24T14:15:22Z",
"scheduledActivationDate": "2019-08-24T14:15:22Z",
"lastActiveAt": "2019-08-24T14:15:22Z",
"hasOptionalProductsInPlan": true,
"inviteAcceptedProducts": [
{
"metaData": {}
}
],
"recipientAttachedProducts": [
{
"memberPackageProductEmailDomains": [],
"memberPackageProductIps": [],
"seats": [],
"recipients": [],
"metaData": {}
}
],
"isLink": true
}unauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}notFound
Same fields as Get logged in member subscriptions (404).
{
"messageCode": "notFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/members/profile/subscriptions/{id}' \
--header 'Authorization: Bearer <token>'namestringOptionalpaymentProvidersarray of PAYMENT_PROVIDERRequired when parent is present"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"namestringRequired when parent is presentuuidstringRequired when parent is presentbillingPeriodstringRequired when parent is present"monthly", "thirty_days", "quarterly", "half_yearly", "yearly", "custom"billingPeriodUnitstringRequired when parent is present"day", "week", "month", "year"billingPeriodFrequencynumberRequired when parent is presentautoRenewbooleanRequired when parent is presentstatusstringRequired when parent is present"draft", "published", "archived"tenantIdnumberRequired when parent is presentallowSameSubscriptionChangebooleanRequired when parent is presentallowDifferentSubscriptionSwitchbooleanRequired when parent is presentallowAdminSameSubscriptionChangebooleanRequired when parent is presentallowAdminDifferentSubscriptionSwitchbooleanRequired when parent is presentenableGiftSubscriptionbooleanRequired when parent is presentallowFutureStartDatebooleanRequired when parent is presentshowAsOptionOnSubscriptionSwitchbooleanRequired when parent is presentshowAsOptionOnAdminSubscriptionSwitchbooleanRequired when parent is presentofferSwitchOnCheckoutbooleanRequired when parent is presenttenantTenantRequired when parent is presentNested fields omitted: field limit.entityTagsarray of EntityTagRequired when parent is present13 fields[].entityTagsproductIdnumberRequired when parent is presentField path: [].entityTags[].productIdtagIdnumberRequired when parent is presentField path: [].entityTags[].tagIdsubscriptionPlanIdnumberRequired when parent is presentField path: [].entityTags[].subscriptionPlanIdtagTagRequired when parent is presentField path: [].entityTags[].tagNested fields omitted: field limit.productProductRequired when parent is presentsubscriptionPlanProductsarray of SubscriptionPlanProductRequired when parent is present13 fields[].subscriptionPlanProductssubscriptionPlanIdnumberRequired when parent is presentField path: [].subscriptionPlanProducts[].subscriptionPlanIdproductIdnumberRequired when parent is presentField path: [].subscriptionPlanProducts[].productIdpricenumberRequired when parent is presentField path: [].subscriptionPlanProducts[].pricepropertiesOptionalProductPropertiesRequired when parent is presentField path: [].subscriptionPlanProducts[].propertiespackagesarray of PackageRequired when parent is presentNested fields omitted: field limit.memberPackagesarray of MemberPackageRequired when parent is presentNested fields omitted: field limit.idnumberRequired when parent is presentcreatedAtstring (date-time)Required when parent is presentupdatedAtstring (date-time)Required when parent is presentdeletedAtstring (date-time)Required when parent is presentmetaDataobjectRequired when parent is presentsubscriptionCountnumberRequired when parent is presentproductsarray of SubscriptionProductRequired when parent is present13 fields[].productscirculationTypeCIRCULATION_TYPEField path: [].products[].circulationType"subscription", "single_copy"productIdnumberRequired when parent is presentField path: [].products[].productIdnamestringRequired when parent is presentField path: [].products[].namepricenumberRequired when parent is presentField path: [].products[].pricecurrencystringtagsarray of stringpricenumberRequired when parent is presenthasOptionalProductsbooleanRequired when parent is presentbadRequest
Same fields as Get mypage cards settings of a tenant (400).
unauthorized
Same fields as Get mypage cards settings of a tenant (401).
curlcurl https://api.subrite.no/api/v1/members/profile/subscription-plans/all \
--header 'Authorization: Bearer <token>'SubscriptionPlanResponsepaymentProvidersarray of PAYMENT_PROVIDERRequired"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"namestringRequireduuidstringRequiredbillingPeriodstringRequired"monthly", "thirty_days", "quarterly", "half_yearly", "yearly", "custom"billingPeriodUnitstringRequired"day", "week", "month", "year"billingPeriodFrequencynumberRequiredautoRenewbooleanRequiredstatusstringRequired"draft", "published", "archived"tenantIdnumberRequiredallowSameSubscriptionChangebooleanRequiredallowDifferentSubscriptionSwitchbooleanRequiredallowAdminSameSubscriptionChangebooleanRequiredallowAdminDifferentSubscriptionSwitchbooleanRequiredenableGiftSubscriptionbooleanRequiredallowFutureStartDatebooleanRequiredshowAsOptionOnSubscriptionSwitchbooleanRequiredshowAsOptionOnAdminSubscriptionSwitchbooleanRequiredofferSwitchOnCheckoutbooleanRequiredtenantTenantRequiredNested fields omitted: field limit.entityTagsarray of EntityTagRequired13 fieldsentityTagsproductIdnumberRequired when parent is presentField path: entityTags[].productIdtagIdnumberRequired when parent is presentField path: entityTags[].tagIdsubscriptionPlanIdnumberRequired when parent is presentField path: entityTags[].subscriptionPlanIdtagTagRequired when parent is presentField path: entityTags[].tagNested fields omitted: field limit.productProductRequired when parent is presentField path: entityTags[].productNested fields omitted: field limit.subscriptionPlanProductsarray of SubscriptionPlanProductRequired13 fieldssubscriptionPlanProductssubscriptionPlanIdnumberRequired when parent is presentField path: subscriptionPlanProducts[].subscriptionPlanIdproductIdnumberRequired when parent is presentField path: subscriptionPlanProducts[].productIdpricenumberRequired when parent is presentField path: subscriptionPlanProducts[].pricepropertiesOptionalProductPropertiesRequired when parent is presentField path: subscriptionPlanProducts[].properties2 fieldspackagesarray of PackageRequiredNested fields omitted: field limit.memberPackagesarray of MemberPackageRequiredNested fields omitted: field limit.idnumberRequiredcreatedAtstring (date-time)RequiredupdatedAtstring (date-time)RequireddeletedAtstring (date-time)RequiredmetaDataobjectRequiredsubscriptionCountnumberRequiredproductsarray of SubscriptionProductRequired13 fieldsproductscirculationTypeCIRCULATION_TYPEField path: products[].circulationType"subscription", "single_copy"productIdnumberRequired when parent is presentField path: products[].productIdnamestringRequired when parent is presentField path: products[].namepricenumberRequired when parent is presentField path: products[].pricecurrencystringRequired when parent is presenttagsarray of stringpricenumberRequiredhasOptionalProductsbooleanRequired{
"paymentProviders": [
"stripe"
],
"name": "string",
"uuid": "string",
"billingPeriod": "monthly",
"billingPeriodUnit": "day",
"billingPeriodFrequency": 0,
"autoRenew": true,
"status": "draft",
"tenantId": 0,
"allowSameSubscriptionChange": true,
"allowDifferentSubscriptionSwitch": true,
"allowAdminSameSubscriptionChange": true,
"allowAdminDifferentSubscriptionSwitch": true,
"enableGiftSubscription": true,
"allowFutureStartDate": true,
"showAsOptionOnSubscriptionSwitch": true,
"showAsOptionOnAdminSubscriptionSwitch": true,
"offerSwitchOnCheckout": true,
"tenant": {
"market": "NO",
"productName": "enterprise",
"additionalFeatures": [],
"disabledFeatures": [],
"name": "string",
"isActive": true,
"defaultLanguage": "en",
"hostName": "string",
"logo": "string",
"favicon": "string",
"authLogo": "string",
"authLogoHeight": 0,
"siteUrl": "string",
"termsUrl": "string",
"privacyUrl": "string",
"gtm": "string",
"taxRates": [],
"smsOtp": true,
"emailProvider": "brevo",
"tenantContact": "string",
"registeredBusinessNo": "string",
"bankAccountNo": "string",
"swiftCode": "string",
"iban": "<iban>",
"defaultLogoutURL": "string",
"postalAddress": "<postalAddress>",
"otpTemplateId": {},
"smsSenderId": 0,
"emailSenderId": 0,
"smsSender": {
"metaData": {}
},
"emailSender": {
"metaData": {}
},
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"preference": {
"inputFieldConfig": [],
"customFieldsOnMemberCard": [],
"customFieldsOnInvoice": [],
"visibleAdditionalFieldsOnMypage": [],
"metaData": {}
},
"settings": {
"aiResidency": {},
"metaData": {}
},
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"entityTags": [
{
"metaData": {}
}
],
"subscriptionPlanProducts": [
{
"metaData": {}
}
],
"packages": [
{
"paymentProviders": [],
"description": {},
"packageProducts": [],
"payments": [],
"memberPackages": [],
"metaData": {}
}
],
"memberPackages": [
{
"memberPackageProducts": [],
"orders": [],
"changes": [],
"histories": [],
"metaData": {}
}
],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {},
"subscriptionCount": 0,
"products": [
{
"shippingCharges": []
}
],
"tags": [
"string"
],
"price": 0,
"hasOptionalProducts": true
}unauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}notFound
Same fields as Get logged in member subscriptions (404).
{
"messageCode": "notFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/members/profile/subscription-plans/{id}' \
--header 'Authorization: Bearer <token>'MemberSubscribedProductidnumberRequiredproductIdnumberRequirednamestringRequiredproductCategoryProductCategory"digital_subscription", "physical_subscription", "physical", "event_ticket", "PHYSICAL_PRODUCT"circulationTypeCIRCULATION_TYPE"subscription", "single_copy"quantitynumberRequiredpricenumberRequiredrecurringPricenumberRequiredisOptionalbooleanRequiredshippingCountrystringRequiredshippingProviderSHIPPING_PROVIDERRequired"Helthjem", "Bring - Posten", "Distribution Innovation"allowDistributorToUpdateDeliveryAddressbooleanRequireddeliveryAddressesarray of DeliveryAddress14 fieldsdeliveryAddressesidnumberRequired when parent is presentField path: deliveryAddresses[].idroutestringField path: deliveryAddresses[].routeline1stringRequired when parent is presentField path: deliveryAddresses[].line1line2stringRequired when parent is presentField path: deliveryAddresses[].line2citystringRequired when parent is presentgroupInfoGroupSubscriptionResponse11 fieldsgroupInfoownerHasAccessbooleanRequired when parent is presentField path: groupInfo.ownerHasAccessfalseseatsAllowednumberRequired when parent is presentField path: groupInfo.seatsAllowed0seatsActivenumberRequired when parent is presentField path: groupInfo.seatsActive0seatsRemainingnumberRequired when parent is presentField path: groupInfo.seatsRemaining0giftReceiverInfoGiftReceiverResponse8 fieldsgiftReceiverInfoseatsAllowednumberRequired when parent is presentField path: giftReceiverInfo.seatsAllowed0seatsActivenumberRequired when parent is presentField path: giftReceiverInfo.seatsActive0seatsRemainingnumberRequired when parent is presentField path: giftReceiverInfo.seatsRemaining0maxQuantityPerOrdernumberRequired when parent is presentField path: giftReceiverInfo.maxQuantityPerOrderprimaryAddressProfileAddress12 fieldsprimaryAddressline1stringRequired when parent is presentField path: primaryAddress.line1line2stringRequired when parent is presentField path: primaryAddress.line2citystringRequired when parent is presentField path: primaryAddress.citypostCodestringRequired when parent is presentField path: primaryAddress.postCodecountrystringRequired when parent is presentField path: primaryAddress.countryemailDomainsarray of stringsupportsIpAccessbooleanRequiredsupportsIpRangeConfigurationbooleanRequiredipRangesarray of IpRangeDtoRequired2 fieldsipRangesipRangestringRequired when parent is presentField path: ipRanges[].ipRangelabelstringField path: ipRanges[].label{
"id": 0,
"productId": 0,
"name": "string",
"productCategory": "digital_subscription",
"circulationType": "subscription",
"quantity": 0,
"price": 0,
"recurringPrice": 0,
"isOptional": true,
"shippingCountry": "string",
"shippingProvider": "Helthjem",
"allowDistributorToUpdateDeliveryAddress": true,
"deliveryAddresses": [
{}
],
"groupInfo": {
"ownerHasAccess": false,
"seatsAllowed": 0,
"seatsActive": 0,
"seatsRemaining": 0,
"groupMemberCount": 0,
"maxQuantityPerOrder": 0,
"assignSeatToOwner": true,
"groupOwnerMemberName": "<groupOwnerMemberName>",
"groupOwnerMemberId": "string",
"groupOwnerMemberNumber": 0,
"seats": []
},
"giftReceiverInfo": {
"seatsAllowed": 0,
"seatsActive": 0,
"seatsRemaining": 0,
"maxQuantityPerOrder": 0,
"groupOwnerMemberName": "<groupOwnerMemberName>",
"groupOwnerMemberId": "string",
"groupOwnerMemberNumber": 0,
"seats": []
},
"primaryAddress": {
"line1": "string",
"line2": "string",
"city": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "string",
"companyName": "string",
"organizationNo": "string",
"invoiceReference": "string",
"isSynced": true,
"lastSyncedAt": "2019-08-24T14:15:22Z"
},
"emailDomains": [
"string"
],
"supportsIpAccess": true,
"supportsIpRangeConfiguration": true,
"ipRanges": [
{}
]
}unauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}notFound
Same fields as Get logged in member subscriptions (404).
{
"messageCode": "notFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/members/profile/subscriptions/product/{id}' \
--header 'Authorization: Bearer <token>'"createdAt"Allowed values: "createdAt", "id", "updatedAt"orderDirectionstringOptional"desc"Allowed values: "asc", "desc"searchstringOptionalstatusstringOptional"active", "invite_sent", "expired"itemsarray of SeatDataRequired7 fieldsitemsidnumberRequired when parent is presentField path: items[].idnamestringRequired when parent is presentField path: items[].nameemailstringRequired when parent is presentField path: items[].emailstatusstringRequired when parent is presentField path: items[].status"pending", "accepted", "expired", "awaiting_activation"memberIdstringRequired when parent is presentField path: items[].memberIdmemberDataMemberPersonalInfoRequired when parent is presentField path: items[].memberData20 fieldsitems[].memberDataidstringRequired when parent is presentField path: items[].memberData.idfullNamestringRequired when parent is presentField path: items[].memberData.fullNamenickNamestringRequired when parent is presentField path: items[].memberData.nickNamecreatedAtstring (date-time)Required when parent is presentField path: items[].memberData.createdAtavatarstringRequired when parent is presentexpiresAtstringRequired when parent is presentField path: items[].expiresAtmetaPageMetaRequired6 fieldsmetapagenumberRequiredField path: meta.pagetakenumberRequiredField path: meta.takecountnumberRequiredField path: meta.countpageCountnumberRequiredField path: meta.pageCounthasPreviousPagebooleanRequiredField path: meta.hasPreviousPagehasNextPagebooleanRequiredField path: meta.hasNextPage{
"items": [
{}
],
"meta": {
"page": 0,
"take": 0,
"count": 0,
"pageCount": 0,
"hasPreviousPage": true,
"hasNextPage": true
}
}unauthorized
Same fields as Get mypage cards settings of a tenant (401).
curlcurl 'https://api.subrite.no/api/v1/members/profile/subscriptions/product/{id}/seats' \
--header 'Authorization: Bearer <token>'ipRangesarray of IpRangeInputDtoRequired1 required when the containing object is presentipRangesvaluestringRequired when parent is presentField path: ipRanges[].valuelabelstringOptionalField path: ipRanges[].labelmaxLength: 120ipRangestringRequired when parent is presentlabelstring[
{
"ipRange": "string",
"label": "string"
}
]badRequest, tooManyIpRanges, duplicateIpRangeInRequest, ipRangesNotAllowedOnThisProduct, invalidIpRangeFormat, ipRangeTooBroad
messageCodestringRequired"badRequest", "tooManyIpRanges"unauthorized
curlcurl 'https://api.subrite.no/api/v1/members/profile/subscriptions/product/{id}/ip-ranges' \
--request PUT \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"ipRanges": [
{}
]
}'This response has no body.
badRequest, ipRangesNotAllowedOnThisProduct
messageCodestringRequired"badRequest", "ipRangesNotAllowedOnThisProduct"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCode{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
{
"messageCode": "unauthorized",
"message": "string",
"errors": [
{}
]
}forbiddenResource
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}ipRangeNotFound
messageCodestringRequired"ipRangeNotFound"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCode{
"messageCode": "ipRangeNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/members/profile/subscriptions/product/{id}/ip-ranges/{ipRange}' \
--request DELETE \
--header 'Authorization: Bearer <token>'fullNamestringmemberPackageProductIdnumberOptionalminimum: 1emailstring (email)OptionalbirthDatestring (date-time)OptionalnickNamestringOptionalmaxLength: 255phonestringOptionalmaxLength: 32countryCodestringOptionalmaxLength: 8isCompanybooleanOptionalcompanyNamestringOptionalmaxLength: 255addressMemberAddressDtoOptional11 fieldsaddressline1stringOptionalField path: address.line1maxLength: 255line2stringOptionalField path: address.line2maxLength: 255citystringOptionalField path: address.citymaxLength: 255statestringOptionalField path: address.statemaxLength: 255postCodestringOptionalField path: address.postCodemaxLength: 32countrystringOptionalField path: address.countrymaxLength: 64namestringOptionalField path: address.namemaxLength: 255emailstring (email)OptionalField path: address.emailmaxLength: 255organizationNostringOptionalField path: address.organizationNomaxLength: 64companyNamestringOptionalField path: address.companyNamemaxLength: 255invoiceReferencestringOptionalField path: address.invoiceReferencemaxLength: 255customPropertyValuesobjectOptional{
"fullName": "<fullName>",
"memberPackageProductId": 1,
"email": "user@example.com",
"birthDate": "<birthDate>",
"nickName": "string",
"phone": "<phone>",
"countryCode": "string",
"isCompany": true,
"companyName": "string",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "user@example.com",
"organizationNo": "string",
"companyName": "string",
"invoiceReference": "string"
},
"customPropertyValues": {}
}Same fields as Get logged in member personal info (200).
{
"id": "string",
"fullName": "<fullName>",
"nickName": "string",
"createdAt": "2019-08-24T14:15:22Z",
"avatar": "string",
"countryCode": "string",
"birthDate": "<birthDate>",
"deleteAfterExpiration": true,
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"customPropertyValues": {},
"emailVerified": "string",
"phoneVerified": true,
"memberNumber": 0,
"userId": 0,
"emailStatus": "scheduled",
"email": "user@example.com",
"phone": "<phone>",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "string",
"companyName": "string",
"organizationNo": "string",
"invoiceReference": "string",
"isSynced": true,
"lastSyncedAt": "2019-08-24T14:15:22Z"
}
}badRequest, alreadyExists, seatLimitReached, phoneAlreadyVerified
messageCodestringRequired"badRequest", "alreadyExists", "seatLimitReached", "phoneAlreadyVerified"notFound, productNotFound
curlcurl 'https://api.subrite.no/api/v1/members/profile/subscriptions/product/{id}/create-member' \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"fullName": "<fullName>",
"memberPackageProductId": 1,
"email": "user@example.com",
"birthDate": "<birthDate>",
"nickName": "string",
"phone": "<phone>",
"countryCode": "string",
"isCompany": true,
"companyName": "string",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "user@example.com",
"organizationNo": "string",
"companyName": "string",
"invoiceReference": "string"
},
"customPropertyValues": {}
}'fullNamestringRequiredemailstring (email)RequiredphonestringRequiredmemberPackageProductIdnumberOptionalminimum: 1{
"fullName": "<fullName>",
"email": "user@example.com",
"phone": "<phone>",
"memberPackageProductId": 1
}Same fields as Get logged in member personal info (200).
{
"id": "string",
"fullName": "<fullName>",
"nickName": "string",
"createdAt": "2019-08-24T14:15:22Z",
"avatar": "string",
"countryCode": "string",
"birthDate": "<birthDate>",
"deleteAfterExpiration": true,
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"customPropertyValues": {},
"emailVerified": "string",
"phoneVerified": true,
"memberNumber": 0,
"userId": 0,
"emailStatus": "scheduled",
"email": "user@example.com",
"phone": "<phone>",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "string",
"companyName": "string",
"organizationNo": "string",
"invoiceReference": "string",
"isSynced": true,
"lastSyncedAt": "2019-08-24T14:15:22Z"
}
}badRequest, alreadyExists, seatLimitReached, invitationAlreadyAccepted, invitationAlreadySent, phoneAlreadyVerified
messageCodestringRequired"badRequest", notFound, memberPackageProductNotFound
messageCodestringRequired"notFound", "memberPackageProductNotFound"curlcurl 'https://api.subrite.no/api/v1/members/profile/subscriptions/product/{id}/create-gift-receiver' \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"fullName": "<fullName>",
"email": "user@example.com",
"phone": "<phone>",
"memberPackageProductId": 1
}'application/jsonunauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}notFound
Same fields as Get logged in member subscriptions (404).
{
"messageCode": "notFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/members/profile/invoice/{id}' \
--header 'Authorization: Bearer <token>'application/jsonunauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}notFound
Same fields as Get logged in member subscriptions (404).
{
"messageCode": "notFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/members/profile/refund/{id}' \
--header 'Authorization: Bearer <token>'This response has no body.
badRequest, nextRenewalDateRequired, subscriptionChangeBlockedVippsChargeWindow, nextOrderDateMustBeAfterToday
messageCodestringRequired"badRequest", "nextRenewalDateRequired", "subscriptionChangeBlockedVippsChargeWindow", "nextOrderDateMustBeAfterToday"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCode{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}notFound, memberPackageNotFound
messageCodestringRequired"notFound", "memberPackageNotFound"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCode{
"messageCode": "notFound",
"message": "string",
"errors": [
{}
]
}autoRenewRequiresStoredPaymentMethod
messageCodestringRequired"autoRenewRequiresStoredPaymentMethod"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCode{
"messageCode": "autoRenewRequiresStoredPaymentMethod",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/members/profile/subscriptions/{id}/auto-renewal/{activate}' \
--request PATCH \
--header 'Authorization: Bearer <token>'booleannextRenewalstring (date-time)OptionalscheduledActivationDatestring (date-time)Optional{
"autoRenew": true,
"nextRenewal": "2019-08-24T14:15:22Z",
"scheduledActivationDate": "2019-08-24T14:15:22Z"
}This response has no body.
badRequest
Same fields as Get mypage cards settings of a tenant (400).
{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/members/profile/subscriptions/{id}/activation-date' \
--request PATCH \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"autoRenew": true,
"nextRenewal": "2019-08-24T14:15:22Z",
"scheduledActivationDate": "2019-08-24T14:15:22Z"
}'idnumberRequirednamestringRequiredemailstringRequiredstatusstringRequired"pending", "accepted", "expired", "awaiting_activation"memberIdstringRequiredmemberDataMemberPersonalInfoRequired20 fieldsmemberDataidstringRequiredField path: memberData.idfullNamestringRequiredField path: memberData.fullNamenickNamestringRequiredField path: memberData.nickNamecreatedAtstring (date-time)RequiredField path: memberData.createdAtavatarstringRequiredField path: memberData.avatarcountryCodestringField path: memberData.countryCodebirthDatestring (date-time)RequiredField path: memberData.birthDatedeleteAfterExpirationbooleanRequiredField path: memberData.deleteAfterExpirationisCompanybooleanRequiredField path: memberData.isCompanycompanyNamestringRequiredField path: memberData.companyNameorganizationNostringRequiredField path: memberData.organizationNocustomPropertyValuesobjectRequiredField path: memberData.customPropertyValuesemailVerifiedstringField path: memberData.emailVerifiedphoneVerifiedbooleanRequiredField path: memberData.phoneVerifiedmemberNumbernumberRequiredField path: memberData.memberNumberuserIdnumberRequiredField path: memberData.userIdemailStatusSENDGRID_MAIL_EVENTSField path: memberData.emailStatus"scheduled", "processed", "dropped", "deferred", "bounce", "hard_bounce", "soft_bounce", "spamreport", "delivered", "unsubscribe", "group_unsubscribe", "group_resubscribe", "open", "failed", "click", "skipped_bounced"emailstring (email)RequiredField path: memberData.emailphonestringRequiredField path: memberData.phoneaddressProfileAddressRequiredField path: memberData.address12 fieldsmemberData.addressline1stringRequiredField path: memberData.address.line1line2stringRequiredField path: memberData.address.line2citystringRequiredField path: memberData.address.citypostCodestringRequiredField path: memberData.address.postCodecountrystringRequiredField path: memberData.address.countryexpiresAtstringRequired{
"id": 0,
"name": "string",
"email": "string",
"status": "pending",
"memberId": "string",
"memberData": {
"id": "string",
"fullName": "<fullName>",
"nickName": "string",
"createdAt": "2019-08-24T14:15:22Z",
"avatar": "string",
"countryCode": "string",
"birthDate": "<birthDate>",
"deleteAfterExpiration": true,
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"customPropertyValues": {},
"emailVerified": "string",
"phoneVerified": true,
"memberNumber": 0,
"userId": 0,
"emailStatus": "scheduled",
"email": "user@example.com",
"phone": "<phone>",
"address": {}
},
"expiresAt": "string"
}unauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}notFound
Same fields as Get logged in member subscriptions (404).
{
"messageCode": "notFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/members/profile/seats/{id}' \
--header 'Authorization: Bearer <token>'application/jsonunauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}notFound
Same fields as Get logged in member subscriptions (404).
{
"messageCode": "notFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/members/profile/seats/{id}' \
--request DELETE \
--header 'Authorization: Bearer <token>'deleteAfterExpirationbooleanOptionaladdressMemberAddressDtoOptional11 fieldsaddressline1stringOptionalField path: address.line1maxLength: 255line2stringOptionalField path: address.line2maxLength: 255citystringOptionalField path: address.citymaxLength: 255statestringOptionalField path: address.statemaxLength: 255postCodestringOptionalField path: address.postCodemaxLength: 32countrystringOptionalField path: address.countrymaxLength: 64namestringOptionalField path: address.namemaxLength: 255emailstring (email)OptionalField path: address.emailmaxLength: 255organizationNostringOptionalField path: address.organizationNomaxLength: 64companyNamestringOptionalField path: address.companyNamemaxLength: 255invoiceReferencestringOptionalField path: address.invoiceReferencemaxLength: 255emailstring (email)OptionalbirthDatestring (date-time)OptionalnickNamestringOptionalmaxLength: 255phonestringOptionalmaxLength: 32countryCodestringOptionalmaxLength: 8isCompanybooleanOptionalcompanyNamestringOptionalmaxLength: 255customPropertyValuesobjectOptional{
"fullName": "<fullName>",
"deleteAfterExpiration": true,
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "user@example.com",
"organizationNo": "string",
"companyName": "string",
"invoiceReference": "string"
},
"email": "user@example.com",
"birthDate": "<birthDate>",
"nickName": "string",
"phone": "<phone>",
"countryCode": "string",
"isCompany": true,
"companyName": "string",
"customPropertyValues": {}
}Same fields as Get product seat details (200).
{
"id": 0,
"name": "string",
"email": "string",
"status": "pending",
"memberId": "string",
"memberData": {
"id": "string",
"fullName": "<fullName>",
"nickName": "string",
"createdAt": "2019-08-24T14:15:22Z",
"avatar": "string",
"countryCode": "string",
"birthDate": "<birthDate>",
"deleteAfterExpiration": true,
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"customPropertyValues": {},
"emailVerified": "string",
"phoneVerified": true,
"memberNumber": 0,
"userId": 0,
"emailStatus": "scheduled",
"email": "user@example.com",
"phone": "<phone>",
"address": {}
},
"expiresAt": "string"
}badRequest, phoneAlreadyVerified, alreadyExists
messageCodestringRequired"badRequest", "phoneAlreadyVerified", "alreadyExists"messagestringunauthorized
Same fields as Get mypage cards settings of a tenant (401).
notPackageOwner
messageCodestringRequired"notPackageOwner"messagestringcurlcurl 'https://api.subrite.no/api/v1/members/profile/seats/{id}' \
--request PATCH \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"fullName": "<fullName>",
"deleteAfterExpiration": true,
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "user@example.com",
"organizationNo": "string",
"companyName": "string",
"invoiceReference": "string"
},
"email": "user@example.com",
"birthDate": "<birthDate>",
"nickName": "string",
"phone": "<phone>",
"countryCode": "string",
"isCompany": true,
"companyName": "string",
"customPropertyValues": {}
}'array of MemberPackageProductSeatRecipientProductsResponseDtomemberPackageProductIdnumberRequired when parent is presentproductNamestringRequired when parent is present[
{
"memberPackageProductId": 123,
"productName": "Premium Subscription"
}
]unauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}notFound
Same fields as Get logged in member subscriptions (404).
{
"messageCode": "notFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/members/profile/seats/{id}/recipient/attached-products' \
--header 'Authorization: Bearer <token>'{
"email": "user@example.com",
"id": 1
}memberPackageProductIdnumberRequiredmemberIdstringRequiredemailstringRequiredacceptedbooleanRequiredacceptedAtstring (date-time)RequiredexpiresAtstring (date-time)RequireduuidstringRequiredmemberPackageProductMemberPackageProductRequired20 fieldsmemberPackageProductmemberPackageIdnumberRequiredField path: memberPackageProduct.memberPackageIdproductIdnumberRequiredField path: memberPackageProduct.productIdpricenumberRequiredField path: memberPackageProduct.pricerecurringPricenumberRequiredField path: memberPackageProduct.recurringPricequantitynumberRequiredmemberMemberRequired21 fieldsmemberuserIdnumberRequiredField path: member.userIdmemberNumbernumberRequiredField path: member.memberNumbertenantIdnumberRequiredField path: member.tenantIdexternalIdstringRequiredField path: member.externalIdfullNamestringidnumberRequiredcreatedAtstring (date-time)RequiredupdatedAtstring (date-time)RequireddeletedAtstring (date-time)RequiredmetaDataobjectRequiredbadRequest, cannotInviteYourself, cannotAssignToTheOwner, invitationLimitReached, invitationAlreadyAccepted, invitationAlreadySent
messageCodestringRequired"badRequest", "cannotInviteYourself", "cannotAssignToTheOwner", "invitationLimitReached", "invitationAlreadyAccepted", "invitationAlreadySent"unauthorized
Same fields as Get mypage cards settings of a tenant (401).
notFound, memberPackageProductNotFound
Same fields as Create gift receiver for a product seat (404).
curlcurl https://api.subrite.no/api/v1/members/profile/seats/invite \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"email": "user@example.com",
"id": 1
}'{
"email": "user@example.com"
}Same fields as Invite member to a product seat (201).
{
"memberPackageProductId": 0,
"memberId": "string",
"email": "string",
"accepted": true,
"acceptedAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"uuid": "string",
"memberPackageProduct": {
"memberPackageId": 0,
"productId": 0,
"price": 0,
"recurringPrice": 0,
"quantity": 0,
"hasAccess": true,
"shippingCountry": "string",
"shippingProvider": "Helthjem",
"allowDistributorToUpdateDeliveryAddress": true,
"memberPackageProductEmailDomains": [],
"memberPackageProductIps": [],
"memberPackage": {
"memberPackageProducts": [],
"orders": [],
"changes": [],
"histories": [],
"metaData": {}
},
"product": {
"properties": {},
"shippingCharges": [],
"entityTags": [],
"subscriptionPlanProducts": [],
"packageProducts": [],
"memberPackageProducts": [],
"orderItem": [],
"productContents": [],
"metaData": {}
},
"seats": [],
"recipients": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"member": {
"userId": 0,
"memberNumber": 0,
"tenantId": 0,
"externalId": "string",
"fullName": "<fullName>",
"nickName": "string",
"avatar": "string",
"email": "string",
"birthDate": "<birthDate>",
"phone": "<phone>",
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"deleteAfterExpiration": true,
"customPropertyValues": {},
"productRecipients": [],
"id": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}badRequest, invitationLimitReached, invitationAlreadyAccepted, invitationAlreadySent, cannotInviteYourself, cannotAssignToTheOwner
messageCodestringRequired"badRequest", "invitationLimitReached", "invitationAlreadyAccepted", "invitationAlreadySent", "cannotInviteYourself", "cannotAssignToTheOwner"unauthorized
Same fields as Get mypage cards settings of a tenant (401).
notFound, memberPackageProductNotFound
Same fields as Create gift receiver for a product seat (404).
curlcurl 'https://api.subrite.no/api/v1/members/profile/seats/{seatId}/resend' \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"email": "user@example.com"
}'MemberPackageProductSeatSame fields as Invite member to a product seat (201).
{
"memberPackageProductId": 0,
"memberId": "string",
"email": "string",
"accepted": true,
"acceptedAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"uuid": "string",
"memberPackageProduct": {
"memberPackageId": 0,
"productId": 0,
"price": 0,
"recurringPrice": 0,
"quantity": 0,
"hasAccess": true,
"shippingCountry": "string",
"shippingProvider": "Helthjem",
"allowDistributorToUpdateDeliveryAddress": true,
"memberPackageProductEmailDomains": [],
"memberPackageProductIps": [],
"memberPackage": {
"memberPackageProducts": [],
"orders": [],
"changes": [],
"histories": [],
"metaData": {}
},
"product": {
"properties": {},
"shippingCharges": [],
"entityTags": [],
"subscriptionPlanProducts": [],
"packageProducts": [],
"memberPackageProducts": [],
"orderItem": [],
"productContents": [],
"metaData": {}
},
"seats": [],
"recipients": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"member": {
"userId": 0,
"memberNumber": 0,
"tenantId": 0,
"externalId": "string",
"fullName": "<fullName>",
"nickName": "string",
"avatar": "string",
"email": "string",
"birthDate": "<birthDate>",
"phone": "<phone>",
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"deleteAfterExpiration": true,
"customPropertyValues": {},
"productRecipients": [],
"id": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}badRequest, invitationAlreadyAccepted, invitationExpired, seatLimitReached
messageCodestringRequired"badRequest", "invitationAlreadyAccepted", "invitationExpired", "seatLimitReached"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCode{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}invalidMember
messageCodestringRequired"invalidMember"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "invalidMember",
"message": "string",
"errors": [
{}
]
}notFound
Same fields as Get logged in member subscriptions (404).
{
"messageCode": "notFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/members/profile/seats/{uuid}/accept' \
--request POST \
--header 'Authorization: Bearer <token>'MemberPackageProductSeatSame fields as Invite member to a product seat (201).
{
"memberPackageProductId": 0,
"memberId": "string",
"email": "string",
"accepted": true,
"acceptedAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"uuid": "string",
"memberPackageProduct": {
"memberPackageId": 0,
"productId": 0,
"price": 0,
"recurringPrice": 0,
"quantity": 0,
"hasAccess": true,
"shippingCountry": "string",
"shippingProvider": "Helthjem",
"allowDistributorToUpdateDeliveryAddress": true,
"memberPackageProductEmailDomains": [],
"memberPackageProductIps": [],
"memberPackage": {
"memberPackageProducts": [],
"orders": [],
"changes": [],
"histories": [],
"metaData": {}
},
"product": {
"properties": {},
"shippingCharges": [],
"entityTags": [],
"subscriptionPlanProducts": [],
"packageProducts": [],
"memberPackageProducts": [],
"orderItem": [],
"productContents": [],
"metaData": {}
},
"seats": [],
"recipients": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"member": {
"userId": 0,
"memberNumber": 0,
"tenantId": 0,
"externalId": "string",
"fullName": "<fullName>",
"nickName": "string",
"avatar": "string",
"email": "string",
"birthDate": "<birthDate>",
"phone": "<phone>",
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"deleteAfterExpiration": true,
"customPropertyValues": {},
"productRecipients": [],
"id": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}badRequest, invitationAlreadyAccepted, invitationExpired, seatLimitReached
Same fields as Accept invitation to a product seat (400).
{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
Same fields as Get mypage cards settings of a tenant (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}invalidMember
Same fields as Accept invitation to a product seat (403).
{
"messageCode": "invalidMember",
"message": "string",
"errors": [
{}
]
}notFound
Same fields as Get logged in member subscriptions (404).
{
"messageCode": "notFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/members/profile/seats/{uuid}/accept-gift' \
--request POST \
--header 'Authorization: Bearer <token>'maxLength: 255line2stringOptionalmaxLength: 255citystringOptionalmaxLength: 255statestringOptionalmaxLength: 255postCodestringOptionalmaxLength: 32countrystringOptionalmaxLength: 64namestringOptionalmaxLength: 255emailstring (email)OptionalmaxLength: 255organizationNostringOptionalmaxLength: 64companyNamestringOptionalmaxLength: 255invoiceReferencestringOptionalmaxLength: 255{
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "user@example.com",
"organizationNo": "string",
"companyName": "string",
"invoiceReference": "string"
}line1stringRequiredline2stringRequiredcitystringRequiredpostCodestringRequiredcountrystringRequirednamestringRequiredemailstringRequiredcompanyNamestringRequiredorganizationNostringRequiredinvoiceReferencestringisSyncedbooleanlastSyncedAtstring (date-time){
"line1": "string",
"line2": "string",
"city": "string",
"postCode": "string",
"country": "string",
"name": "string",
"email": "string",
"companyName": "string",
"organizationNo": "string",
"invoiceReference": "string",
"isSynced": true,
"lastSyncedAt": "2019-08-24T14:15:22Z"
[...]
